Subject: bug#48959: icecat imcomplete LD_LIBRARY_PATH affecting Kerberos authentication

From: Ignacio Coterillo <[email-masked]>
Date: Tue, 15 Jun 2021 07:59:51 +0200

Hi Mark,

Thank you for looking at his.

First, I confirm that Kerberos authentication works when running 
icecat as:

  LD_LIBRARY_PATH=$(guix build mit-krb5)/lib icecat

Regarding the patch, I actually tried to build the package with 
those
exact changes myself before submitting the bug for further testing
but didn't manage to complete the build.
The build process would go on for over a day (most of the time 
spent in
bootstrapping the rust inputs) until failing because of lack of 
disk space.

I've been reading through the different mailing list archives and 
the rust
bootstrapping process seems to be a known problem.
Is there a way of improve the behaviour to work on these kind of 
big packages?
Is it possible to estimate a priori the amount of space a build 
would
require to prevent failures?

Best regards,

Ignacio

Mark H Weaver <[email-masked]> writes:

> Hello again,
>
> Earlier, I wrote:
>> Are you able to test this patch?  One way to do so is to clone 
>> the
>> master branch of our git repository, apply this patch to the 
>> Guix git
>> checkout and build it, and then run that modified copy of Guix 
>> (without
>> installing it) to build icecat.
>
> On second thought, it would be sufficient and *much* easier to 
> simply
> verify that Kerberos authentication works in IceCat if you 
> launch it
> with the following Bash shell command:
>
> LD_LIBRARY_PATH=$(guix build mit-krb5)/lib icecat
>
> Would you like to try it and report back?
>
>      Thanks,
>        Mark